LineBuffer Class Reference

## Public Member Functions

bool | empty () const noexcept
std::string_view | view () const noexcept
bool | starts_with (std::string_view const start) const
bool | writeTo (FileFd *const to, size_t offset=0) const
bool | writeLineTo (FileFd *const to) const
bool | writeNewLineIf (FileFd *const to, bool const condition) const
bool | readFrom (FILE *stream, std::string const &InFile, bool acceptEoF=false)

The documentation for this class was generated from the following file:

- apt-pkg/contrib/gpgv.cc